	IDENTIFICATION DIVISION.
      *
	PROGRAM-ID.  VERIFY.
      * SCCS information:
      *@(#) VERIFY  ver. 1.1 last update 85/03/29 12:17:53
      *@(#) This source obtained from the s file on 85/03/29 at 12:19:26
      *            (COBOL VERIFICATION TEST MAIN MENU)
      *
      *
	ENVIRONMENT DIVISION.
      *
	CONFIGURATION SECTION.
	SOURCE-COMPUTER.  RMCOBOL.
	OBJECT-COMPUTER.  RMCOBOL.
      *
      *
      *
	DATA DIVISION.
      *
	WORKING-STORAGE SECTION.
	01	TITLE.
		03	FILLER		PIC	X(51) VALUE
		"VERIFY: RM/COBOL Verification program          ver.".
		03	TITLE-DATE	PIC	X(10).
		03	TITLE-TIME	PIC	X(8).
	01	VERSION-INFO.
		03	FILLER		PIC	X(15) VALUE "@ #( ) (@)#@(#)".
		03	PROGRAM-NAME	PIC	X(10) VALUE "VERIFY".
		03	FILLER		PIC	X(6) VALUE " ver. ".
		03	VERSION		PIC	X(4)	VALUE "1.1".
		03	VER-DATE	PIC	X(10) VALUE " 85/03/29 ".
		03	VER-TIME	PIC	X(8)	VALUE "12:17:53".
		03	FILLER		PIC	X	VALUE ">".
	77	FUNCTION-NUMBER		PIC 9.
	77	RETURN-KEY		PIC X.
      *
      *
      *
      /
	PROCEDURE DIVISION.
	DISPLAY-MAIN-MENU.
		MOVE VER-DATE TO TITLE-DATE MOVE VER-TIME TO TITLE-TIME.
		DISPLAY TITLE LINE 1 ERASE.
		DISPLAY " ".
		DISPLAY "      RM/COBOL VERIFICATION TEST MAIN MENU".
		DISPLAY " ".
		DISPLAY "   1) SCREEN CONFIGURATION TEST".
		DISPLAY "   2) FILE SYSTEM TEST".
		DISPLAY "   3) NUCLEUS TEST".
		DISPLAY "   4) PRINTER TEST".
		DISPLAY "   5) EXIT PROGRAM".
		DISPLAY " ".
		DISPLAY "      ENTER DESIRED TEST NUMBER       ".
	ACCEPT-MAIN-MENU.
		ACCEPT FUNCTION-NUMBER LINE 11 POSITION 37 TAB.
		GO TO NUMBER-1, NUMBER-2, NUMBER-3, NUMBER-4,
			PROGRAM-END DEPENDING ON FUNCTION-NUMBER.
		DISPLAY "  " LINE 11 POSITION 37.
		GO TO ACCEPT-MAIN-MENU.
      /
      *
      *
      *
	NUMBER-1.
		CALL "VDTTST".
		GO TO DISPLAY-MAIN-MENU.
      *
      *
      *
	NUMBER-2.
		CALL "FILTST".
		GO TO DISPLAY-MAIN-MENU.
      *
      *
      *
	NUMBER-3.
		CALL "NUCTST".
		GO TO DISPLAY-MAIN-MENU-LOOP.
      *
      *
      *
	NUMBER-4.
		CALL "PRNTST".
		GO TO DISPLAY-MAIN-MENU-LOOP.
      *
      *
      *
	DISPLAY-MAIN-MENU-LOOP.
		DISPLAY "TYPE ANY KEY TO RETURN TO MENU"
			LINE 22 POSITION 40.
		ACCEPT RETURN-KEY POSITION 0.
		GO TO DISPLAY-MAIN-MENU.
      *
      *
      *
	PROGRAM-END.
	EXIT-PARA.
		EXIT PROGRAM.
	STOP-PARA.
		STOP RUN.
	END PROGRAM.
